W-Agora BBCode Script Injection Vulnerability

W-Agora is prone to a script-injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before including it in dynamically generated content.

W-Agora can be configured to send all user information in session data; if this is the case, then attacker-supplied HTML and script code would be able to access properties of the site, potentially allowing an attacker to steal cookie-based authentication credentials. Other attacks are also possible.

This issue is reported to affect version 4.20; other versions may also be vulnerable.


 

Privacy Statement
Copyright 2010, SecurityFocus